---
agentTools:
  projectIndex: https://chimoney.readme.io/llms.txt
---

# Payout Giftcards to an email.

Initiates a gift card payout by specifying the recipient's email, product ID, and value in local currency.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Chimoney API Docs",
    "version": "0.2.4",
    "description": "This is the latest version of the Chimoney API. For deprecated version routes, please refer to /v0.2/api-docs."
  },
  "security": [
    {
      "apiKeyAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.chimoney.io/",
      "description": "Prod Server"
    },
    {
      "url": "https://api-v2-sandbox.chimoney.io",
      "description": "Sandbox API v2 (v0.2.4)"
    }
  ],
  "paths": {
    "/v0.2.4/payouts/gift-card": {
      "post": {
        "summary": "Payout Giftcards to an email.",
        "tags": [
          "Payouts"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "subAccount": {
                    "type": "string",
                    "description": "Subaccount (Wallet Account) to payout from, if any.",
                    "example": "000022d0-fe5f-4813-a5cf-e45e8be1111"
                  },
                  "turnOffNotification": {
                    "type": "boolean",
                    "description": "disables email and other notifications from Chimoney.",
                    "example": "false"
                  },
                  "giftcards": {
                    "type": "array",
                    "description": "Giftcard payload.",
                    "items": {
                      "type": "object",
                      "properties": {
                        "email": {
                          "type": "string",
                          "description": "Recipient email address.",
                          "example": "test@gmail.com"
                        },
                        "valueInUSD": {
                          "type": "number",
                          "description": "Value in USD.",
                          "example": 10
                        },
                        "narration": {
                          "type": "string",
                          "description": "Narration/Description of payment to be included notification to user",
                          "example": "Monthly Gift card reward"
                        },
                        "collectionPaymentIssueID": {
                          "type": "string",
                          "description": "issue ID for the payment payout initiated.",
                          "example": "1209992222"
                        },
                        "redeemData": {
                          "type": "object",
                          "description": "Data needed to redeem.",
                          "properties": {
                            "productId": {
                              "type": "string",
                              "description": "Product ID.",
                              "example": "1800FL-US"
                            },
                            "countryCode": {
                              "type": "string",
                              "description": "The country code.",
                              "example": "US"
                            },
                            "valueInLocalCurrency": {
                              "type": "number",
                              "description": "The value in local currency.",
                              "example": 10
                            }
                          }
                        }
                      },
                      "required": [
                        "email",
                        "valueInUSD"
                      ]
                    }
                  }
                },
                "required": [
                  "giftcards"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Status of the request.",
                      "example": "success"
                    },
                    "message": {
                      "type": "string",
                      "description": "Message describing the outcome.",
                      "example": "Chimoney payout to gift cards completed successfully"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "chimoneys": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "voDK37Kj6g8v6OpMPolr"
                              },
                              "valueInUSD": {
                                "type": "number",
                                "example": 10
                              },
                              "chimoney": {
                                "type": "integer",
                                "example": 10000
                              },
                              "issueID": {
                                "type": "string",
                                "example": "63576330-b5f6-4279-9324-80633ce14710_10_1726569689832"
                              },
                              "productId": {
                                "type": "string",
                                "example": "ZAPPO-US"
                              },
                              "personalizedMessage": {
                                "type": "string",
                                "example": "Monthly Gift card reward"
                              },
                              "fee": {
                                "type": "number",
                                "example": 1
                              },
                              "type": {
                                "type": "string",
                                "example": "giftcard"
                              },
                              "issuer": {
                                "type": "string",
                                "example": "63576330-b5f6-4279-9324-80633ce14710"
                              },
                              "enabledToRedeem": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                },
                                "example": [
                                  "giftcard"
                                ]
                              },
                              "valueInLocalCurrency": {
                                "type": "number",
                                "example": 10
                              },
                              "t_id": {
                                "type": "integer",
                                "example": 846858
                              },
                              "collectionPaymentIssueID": {
                                "type": "string",
                                "example": 1209992222
                              },
                              "chiRef": {
                                "type": "string",
                                "example": "4a3e61a3-ced8-4a48-a35d-02329ecbd2ad"
                              },
                              "countryCode": {
                                "type": "string",
                                "example": "US"
                              },
                              "narration": {
                                "type": "string",
                                "example": "Monthly Gift card reward"
                              },
                              "integration": {
                                "type": "object",
                                "properties": {
                                  "appID": {
                                    "type": "string",
                                    "example": "rCh0APD3W3V7SE4EDVn6"
                                  }
                                }
                              },
                              "issueDate": {
                                "type": "string",
                                "format": "date-time",
                                "example": "2024-09-17T10:41:37.326Z"
                              },
                              "email": {
                                "type": "string",
                                "example": "test@gmail.com"
                              },
                              "redeemData": {
                                "type": "object",
                                "properties": {
                                  "valueInLocalCurrency": {
                                    "type": "number",
                                    "example": 10
                                  },
                                  "productId": {
                                    "type": "string",
                                    "example": "ZAPPO-US"
                                  },
                                  "countryCode": {
                                    "type": "string",
                                    "example": "US"
                                  }
                                }
                              },
                              "initiatedBy": {
                                "type": "string",
                                "example": "qP3P6bjbjLZUMxVfxgEqzOF0hNM2"
                              },
                              "status": {
                                "type": "string",
                                "example": "redeemed"
                              }
                            }
                          }
                        },
                        "payouts": {
                          "type": "array",
                          "items": {
                            "type": "object"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ValidationError"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "responses": {
      "Forbidden": {
        "description": "Access to this resource is forbidden.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Forbidden"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Access to this resource is not available for unauthenticated users.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Unauthorized"
            }
          }
        }
      },
      "ServerError": {
        "description": "Indicates an internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ServerError"
            }
          }
        }
      },
      "ValidationError": {
        "description": "Validation error in the request.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      }
    },
    "schemas": {
      "Forbidden": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the response.",
            "example": "error"
          },
          "error": {
            "type": "string",
            "description": "Error message indicating forbidden access.",
            "example": "API Access not enabled for account Test. Email support@chimoney.io"
          }
        }
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the response.",
            "example": "error"
          },
          "error": {
            "type": "string",
            "description": "Error message indicating unauthorized access.",
            "example": "API key is not defined. Generate a new one from the developer portal."
          }
        }
      },
      "ServerError": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the error.",
            "example": "error"
          },
          "type": {
            "type": "string",
            "description": "Type of server error.",
            "example": "server error"
          },
          "code": {
            "type": "string",
            "description": "Specific error code for server issues.",
            "example": "INTERNAL_SERVER_ERROR"
          },
          "message": {
            "type": "string",
            "description": "Detailed message explaining the issue.",
            "example": "An internal server error occurred."
          }
        }
      },
      "ValidationError": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status of the validation error.",
            "example": "error"
          },
          "type": {
            "type": "string",
            "description": "Type of validation error.",
            "example": "Validation Error"
          },
          "code": {
            "type": "string",
            "description": "Error code indicating validation issue.",
            "example": "INVALID_REQUEST"
          },
          "message": {
            "type": "string",
            "description": "Detailed validation error message.",
            "example": "The request parameters are invalid."
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Payouts",
      "description": "All payout operations."
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 102,
      "1": 208,
      "2": 243,
      "3": 240,
      "4": 73,
      "5": 214,
      "6": 34,
      "7": 0,
      "8": 37,
      "9": 190,
      "10": 200,
      "11": 166
    }
  }
}
```